#ifndef QXVIDEO_H
#define QXVIDEO_H

/*! 
  \file qxvideo.h
  \brief

  \author R. Enders

  $Revision: 1.5 $
  $Id: qxvideo.h,v 1.5 2006/01/06 12:18:00 reinhard Exp $
  
  Copyright (C) 2004-2006 by Reinhard Enders
  Reinhard.Enders@gmx.de

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  http://www.gnu.org/copyleft/gpl.html


  This structure is also a mess. 

  \include qxvideo.h
*/


#include <qwidget.h>

class PesMgr;

class QXvideo : public QWidget
{
    Q_OBJECT

public:
    QXvideo(QWidget* parent, const char* name = 0);
    ~QXvideo();
    void        setPesMgr(PesMgr* ppesmgr) { pesmgr = ppesmgr; }
protected:
    void	paintEvent( QPaintEvent * );
    void        resizeEvent( QResizeEvent * );
private:
    PesMgr*     pesmgr;
};
#endif // QXVIDEO_H
